#include <stdlib.h>
#include <stdio.h>

void afficherImage(const char *nomFichier){
	FILE* fichier = fopen(nomFichier, "rb");
	int couleur; 

    if (fichier == NULL){
    	perror("erreur lors de l'ouverture du fichier");
    	exit(EXIT_FAILURE);
    }

    while (fread(&couleur, 1, 1, fichier) == 1){
    	if(couleur == 0){
    		printf("\n");
    	}
    	else{
    		printf("\33[48;5;%dm  \33[m", couleur);
    	}
    }
    fclose(fichier);
} 

int main(void)
{
	const char *nomFichier = "image";
	afficherImage(nomFichier);
	return EXIT_SUCCESS;
}